in_guide = (
        #('Web', [
        'launchpad',
        'loggerhead',
        'webdav',
        'xmloutput',
        #('Desktop', [
        'explorer',
        'extmerge',
        'difftools',
        'gtk',
        'qbzr',
        'vimdiff',
        #('Publishing', [
        'automirror',
        'keywords',
        'push-and-update',
        'repo-push',
        'upload',
        #('Change notification', [
        'branchfeed',
        'cia',
        'email',
        #('Change control', [
        'checkeol',
        'pqm',
        'testrunner',
        'text-checker',
        #('History exploration', [
        'bisect',
        'diffstat',
        'search',
        'stats',
        #('Productivity', [
        'automv',
        'bookmarks',
        'bzrtools',
        'merge-into',
        'scmproj',
        #('Patch management', [
        'loom',
        'pipeline',
        'rebase',
        #('Foreign branches', [
        'git',
        'hg',
        'svn',
        #('Migration', [
        'bazimport',
        'cvsps-import',
        'fastimport',
        #('Performance tuning', [
        'dns-cache',
        'historycache',
        'service',
        #('Diagnostics', [
        'ping',
        'repodetails',
        #('Testing', [
        #('Linux/UNIX specific', [
        'builddeb',
        'dbus',
        'pager',
        #('Windows specific', [
        'docdiff',
        'x-bit',
        #('OS X specific', [
        #('Miscellaneous', [
        #('Experimental', [
    )


def wiki_filter(wiki_file):
    f = open(wiki_file, 'r')
    lines = f.readlines()
    f.close()
    footer = False
    for line in lines:
        line = line.rstrip()
        if footer:
            print line
            continue
        elif line.startswith('= Old plugins ='):
            footer = True
            print line
            continue
        if not line.startswith('||'):
            print line
            continue
        # Skip header rows
        if line.find("'''Name'''") >= 0:
            print line
            continue

        # It a data record
        parts = line[6:].split("'''", 1)
        name = parts[0]
        rest = parts[1]
        if name in in_guide:
            link = "http://doc.bazaar-vcs.org/plugins/en/%s-plugin.html" % name.replace('-', '_')
            name = "[[%s|%s]]" % (link, name)
        print "|| '''%s'''%s" % (name, rest)


wiki_filter('wiki-data-2.txt')
